"""Change column 'network.year': Add index + Set 'NOT NULL' flag

Revision ID: f64698b802b8
Revises: dde14a1ca595
Create Date: 2023-09-18 15:21:47.999027

"""

import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "f64698b802b8"
down_revision = "dde14a1ca595"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column(
        "network", "year", existing_type=sa.INTEGER(), nullable=False, schema="psd"
    )
    op.create_index("ix_network_year", "network", ["year"], unique=False, schema="psd")
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index("ix_network_year", table_name="network", schema="psd")
    op.alter_column(
        "network", "year", existing_type=sa.INTEGER(), nullable=True, schema="psd"
    )
    # ### end Alembic commands ###
